Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
Class PropertyChangeProxyTargetBinding

    java.lang.Object
      org.codehaus.groovy.binding.PropertyChangeProxyTargetBinding

All Implemented Interfaces:
  TargetBinding

    public class PropertyChangeProxyTargetBinding
    extends Object
    implements TargetBinding

Constructor Summary
Constructor and Description
`PropertyChangeProxyTargetBinding(Object proxyObject, String propertyName, PropertyChangeListener listener)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`void` | `updateTargetValue(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyChangeProxyTargetBinding

    public PropertyChangeProxyTargetBinding(Object proxyObject,
                                            String propertyName,
                                            PropertyChangeListener listener)

Method Detail

### updateTargetValue

    public void updateTargetValue(Object value)

  Specified by:
    `updateTargetValue` in interface `TargetBinding`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD